POST TicketMessage/{id}/Attachment
Some tooltip text!
• 1 minute to read
• 1 minute to read
POST /api/v1/TicketMessage/{ticketMessageEntityId}/Attachment
Connect existing attachments with this TicketMessage.
Can connect multiple attachments
| Path Part | Type | Description |
|---|---|---|
| ticketMessageEntityId | int32 | The id of the ticket message to connect the attachments to Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: attachmentIds
An array of attachments to connect to this TicketMessage
Response:
No Content
| Response | Description |
|---|---|
| 204 | No Content |
Response body: TimeZoneData
Sample request
POST /api/v1/TicketMessage/{ticketMessageEntityId}/Attachment
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 204 No Content
Content-Type: application/json; charset=utf-8
null